Package org.jbpm.compiler.xml.processes

## Class AbstractNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.compiler.xml.processes.AbstractNodeHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`
  Direct Known Subclasses:
    `ActionNodeHandler`, `CompositeNodeHandler`, `EndNodeHandler`, `EventNodeHandler`, `FaultNodeHandler`, `JoinNodeHandler`, `MilestoneNodeHandler`, `RuleSetNodeHandler`, `SplitNodeHandler`, `StartNodeHandler`, `StateNodeHandler`, `SubProcessNodeHandler`, `TimerNodeHandler`, `WorkItemNodeHandler`

      public abstract class AbstractNodeHandler
      extends org.drools.core.xml.BaseAbstractHandler
      implements org.drools.core.xml.Handler

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `EOL` |

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractNodeHandler()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `containsMetaData​(Node node)` |
    `protected abstract Node` | `createNode()` |
    `Object` | `end​(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `endNode​(StringBuilder xmlDump)` |
    `protected void` | `endNode​(String name, StringBuilder xmlDump)` |
    `static DroolsAction` | `extractAction​(Element xmlNode)` |
    `protected void` | `handleAction​(ExtendedNodeImpl node, Element element, String type)` |
    `protected void` | `handleNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `initValidParents()` |
    `protected void` | `initValidPeers()` |
    `Object` | `start​(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `static void` | `writeAction​(DroolsAction action, StringBuilder xmlDump)` |
    `protected void` | `writeActions​(String type, List<DroolsAction> actions, StringBuilder xmlDump)` |
    `protected void` | `writeMetaData​(Node node, StringBuilder xmlDump)` |
    `protected void` | `writeNode​(String name, Node node, StringBuilder xmlDump, boolean includeMeta)` |
    `abstract void` | `writeNode​(Node node, StringBuilder xmlDump, boolean includeMeta)` |
    `void` | `writeTimers​(Map<Timer,​DroolsAction> timers, StringBuilder xmlDump)` |

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, generateNodeFor, getValidParents, getValidPeers`

- - ### Field Detail

    - #### EOL

          protected static final String EOL

  - ### Constructor Detail

    - #### AbstractNodeHandler

          public AbstractNodeHandler()

  - ### Method Detail

    - #### initValidParents

          protected void initValidParents()

    - #### initValidPeers

          protected void initValidPeers()

    - #### start

          public Object start​(String uri,
                              String localName,
                              Attributes attrs,
                              org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

      Specified by:
        `start` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### createNode

          protected abstract Node createNode()

    - #### end

          public Object end​(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Throws:
        `SAXException`

    - #### handleNode

          protected void handleNode​(Node node,
                                    Element element,
                                    String uri,
                                    String localName,
                                    org.drools.core.xml.ExtensibleXmlParser parser)
                             throws SAXException

      Throws:
        `SAXException`

    - #### handleAction

          protected void handleAction​(ExtendedNodeImpl node,
                                      Element element,
                                      String type)

    - #### extractAction

          public static DroolsAction extractAction​(Element xmlNode)

    - #### writeNode

          public abstract void writeNode​(Node node,
                                         StringBuilder xmlDump,
                                         boolean includeMeta)

    - #### writeNode

          protected void writeNode​(String name,
                                   Node node,
                                   StringBuilder xmlDump,
                                   boolean includeMeta)

    - #### containsMetaData

          protected boolean containsMetaData​(Node node)

    - #### writeMetaData

          protected void writeMetaData​(Node node,
                                       StringBuilder xmlDump)

    - #### writeActions

          protected void writeActions​(String type,
                                      List<DroolsAction> actions,
                                      StringBuilder xmlDump)

    - #### writeAction

          public static void writeAction​(DroolsAction action,
                                         StringBuilder xmlDump)

    - #### writeTimers

          public void writeTimers​(Map<Timer,​DroolsAction> timers,
                                  StringBuilder xmlDump)

    - #### endNode

          protected void endNode​(StringBuilder xmlDump)

    - #### endNode

          protected void endNode​(String name,
                                 StringBuilder xmlDump)